function FrontendTextboxNonEmptyChanged( id ) {
    o = $("#"+id);
    bValid = (o.val().length>0);
    if (bValid) {
        if (o.hasClass( "invalid" )) o.removeClass( "invalid" );
    } else {
        if (!o.hasClass( "invalid" )) o.addClass( "invalid" );
    }
}
